[arch-commits] Commit in wv/trunk (PKGBUILD fix-soname.patch)

Jan de Groot jgc at archlinux.org
Tue Jun 8 06:05:16 EDT 2010


    Date: Tuesday, June 8, 2010 @ 06:05:16
  Author: jgc
Revision: 82057

upgpkg: wv 1.2.7-1
Update to 1.2.7, fix mistaken soname bump

Added:
  wv/trunk/fix-soname.patch
Modified:
  wv/trunk/PKGBUILD

------------------+
 PKGBUILD         |   15 +++++++++------
 fix-soname.patch |   14 ++++++++++++++
 2 files changed, 23 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-08 09:05:13 UTC (rev 82056)
+++ PKGBUILD	2010-06-08 10:05:16 UTC (rev 82057)
@@ -2,20 +2,23 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 # Contributor: William Rea <sillywilly at gmail.com>
 pkgname=wv
-pkgver=1.2.4
-pkgrel=4
+pkgver=1.2.7
+pkgrel=1
 pkgdesc="MSWord library can load and parse Word 2000, 97, 95 and 6 file formats"
 arch=(i686 x86_64)
 url="http://sourceforge.net/projects/wvware"
 license=(GPL)
-depends=('libgsf>=1.14.16' 'libpng>=1.4.0' 'sh')
-makedepends=('pkgconfig')
+depends=('libgsf>=1.14.18' 'libpng>=1.4.2' 'sh')
+makedepends=('pkg-config')
 options=('!libtool')
-source=(http://downloads.sourceforge.net/sourceforge/wvware/${pkgname}-${pkgver}.tar.gz)
-md5sums=('c1861c560491f121e12917fa76970ac5')
+source=(http://www.abisource.com/downloads/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.gz
+        fix-soname.patch)
+sha256sums=('a3a367062e894770fc3ef63bbf7e285cb025253f972fa899c16931f741e856ea'
+            '0fccf12cc5db8481dfcd5cffa987545e060f8bb526c9c910fd76a18468bd7ce1')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/fix-soname.patch" || return 1
   ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1

Added: fix-soname.patch
===================================================================
--- fix-soname.patch	                        (rev 0)
+++ fix-soname.patch	2010-06-08 10:05:16 UTC (rev 82057)
@@ -0,0 +1,14 @@
+diff -ru wv-1.2.7.orig//configure wv-1.2.7//configure
+--- wv-1.2.7.orig//configure	2009-09-21 12:22:46.000000000 +0200
++++ wv-1.2.7//configure	2010-06-08 12:00:27.948857203 +0200
+@@ -2082,8 +2082,8 @@
+ WV_MAJOR_VERSION=1
+ WV_MINOR_VERSION=2
+ WV_MICRO_VERSION=7
+-WV_INTERFACE_AGE=3
+-WV_BINARY_AGE=3
++WV_INTERFACE_AGE=4
++WV_BINARY_AGE=4
+ WV_VERSION=$WV_MAJOR_VERSION.$WV_MINOR_VERSION.$WV_MICRO_VERSION
+ 
+ 



More information about the arch-commits mailing list